Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 277937 - x11-misc/xplanet: fails to build with gcc-4.4
Summary: x11-misc/xplanet: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-07-15 13:39 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-07-26 18:44 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (xplanet-1.2.0:20090714-234528.log,35.92 KB, text/plain)
2009-07-15 13:39 UTC, Diego Elio Pettenò (RETIRED)
Details
a bugfix from upstream, from Suse (xplanet_r153.patch,626 bytes, patch)
2009-07-15 17:41 UTC, Zeev Tarantov
Details | Diff
a bugfix from upstream (xplanet_r154.patch,1.30 KB, patch)
2009-07-15 17:41 UTC, Zeev Tarantov
Details | Diff
gcc 4.4 compatibility patch, from upstream, from debian (xplanet_r157.patch,16.41 KB, patch)
2009-07-15 17:41 UTC, Zeev Tarantov
Details | Diff
the changes to the ebuild (xplanet_ebuild.patch,634 bytes, patch)
2009-07-15 17:42 UTC, Zeev Tarantov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-15 13:39:17 UTC
As per summary, check attached build log.

And _please_ try not to fix it in the wrong way: http://blog.flameeyes.eu/2009/07/02/how-_not_-to-fix-gcc-4-4-bugs
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-15 13:39:33 UTC
Created attachment 198055 [details]
Build log
Comment 2 Zeev Tarantov 2009-07-15 17:39:36 UTC
Version 1.2.1 has been released in April[1], before this bug was filed, and it is still not in portage.

Debian have a patch for gcc 4.4 compatibility[2], and they have sent it upstream and it has been committed[3].

Two more bug fixes have been committed upstream besides the gcc 4.4 compatibility. Debian ship patches for both.

I attach the diff for a fixed version 1.2.1 ebuild and the three relevant patches.

I have removed the "-j1" from the call to emake because on my dual core machine -j3 appears to work fine. Please test and commit.

[1] - http://xplanet.svn.sourceforge.net/viewvc/xplanet?view=rev&revision=152
[2] - http://packages.debian.org/source/sid/xplanet
[3] - http://xplanet.svn.sourceforge.net/viewvc/xplanet?view=rev&revision=157
Comment 3 Zeev Tarantov 2009-07-15 17:41:00 UTC
Created attachment 198080 [details, diff]
a bugfix from upstream, from Suse
Comment 4 Zeev Tarantov 2009-07-15 17:41:22 UTC
Created attachment 198081 [details, diff]
a bugfix from upstream
Comment 5 Zeev Tarantov 2009-07-15 17:41:52 UTC
Created attachment 198082 [details, diff]
gcc 4.4 compatibility patch, from upstream, from debian
Comment 6 Zeev Tarantov 2009-07-15 17:42:52 UTC
Created attachment 198084 [details, diff]
the changes to the ebuild
Comment 7 Samuli Suominen gentoo-dev 2009-07-26 18:44:54 UTC
Fixed, thanks :)